"""Add JOB_UPDATED to webhook_event

Revision ID: 707deabfcbb3
Revises: b87df375360d
Create Date: 2024-12-13 14:33:07.492840

"""

# revision identifiers, used by Alembic.
revision = '707deabfcbb3'
down_revision = 'b87df375360d'

from alembic import op
import sqlalchemy as sa


def upgrade():
    op.execute("""
    ALTER TYPE "webhook_event" ADD VALUE 'JOB_UPDATED';
    """)


def downgrade():
    op.execute("""
    ALTER TYPE "webhook_event" RENAME TO "webhook_event_old";
    CREATE TYPE "webhook_event" AS ENUM (
        'JOB_CREATED'
    );
    ALTER TABLE "gql_user_wh_sub" ALTER COLUMN events TYPE varchar[];
    ALTER TABLE "gql_user_wh_sub" ALTER COLUMN events TYPE webhook_event[] USING events::webhook_event[];
    ALTER TABLE "gql_user_wh_delivery" ALTER COLUMN event TYPE varchar;
    ALTER TABLE "gql_user_wh_delivery" ALTER COLUMN event TYPE webhook_event USING event::webhook_event;
    DROP TYPE "webhook_event_old";
    """)
