"""Add secrets table

Revision ID: de86fd750e68
Revises: dfaa14e71ccf
Create Date: 2017-09-17 10:49:09.764193

"""

# revision identifiers, used by Alembic.
revision = 'de86fd750e68'
down_revision = 'dfaa14e71ccf'

from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('secret',
    sa.Column('id', sa.INTEGER(), nullable=False),
    sa.Column('user_id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.Column('created', postgresql.TIMESTAMP(), autoincrement=False, nullable=False),
    sa.Column('updated', postgresql.TIMESTAMP(), autoincrement=False, nullable=False),
    sa.Column('uuid', postgresql.UUID(), autoincrement=False, nullable=False),
    sa.Column('name', sa.VARCHAR(), autoincrement=False),
    sa.Column('secret_type', sa.VARCHAR(), autoincrement=False, nullable=False),
    sa.Column('secret', sa.VARCHAR(), autoincrement=False, nullable=False),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], name='secret_user_id_fkey'),
    sa.PrimaryKeyConstraint('id', name='secret_pkey')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('secret')
    # ### end Alembic commands ###
