from srht.config import cfg
from srht.graphql import exec_gql

allow_free = cfg("builds.sr.ht", "allow-free", default="no") == "yes"

def submit_build(user, manifest, note=None, tags=[], visibility=None, valid=None):
    resp = exec_gql("builds.sr.ht", """
        mutation SubmitBuild($manifest: String!, $tags: [String!], $note: String, $visibility: Visibility) {
            submit(manifest: $manifest, tags: $tags, note: $note, visibility: $visibility) {
                id
            }
        }""",
        user=user, manifest=manifest,
        note=note, tags=tags,
        visibility=visibility, valid=valid)
    if valid and not valid.ok:
        return None
    return resp["submit"]["id"]

def user_can_submit(user):
    if allow_free:
        return True

    resp = exec_gql("meta.sr.ht", """
        query { me { receivesPaidServices } }
    """, user=user)

    return resp["me"]["receivesPaidServices"]
